Skip to main content
GET
/
event
/
pull
/
{eventId}
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "catalogId": 123,
  "correlationId": "<string>",
  "entityId": "<string>",
  "extendedProperties": [
    {
      "key": "<string>",
      "value": null
    }
  ],
  "id": "<string>",
  "isTest": true,
  "masterCatalogId": 123,
  "siteId": 123,
  "tenantId": 123,
  "topic": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

eventId
string
required

Unique identifier of the event. System-supplied and read-only.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

OK

The external/public Event entity used specifically in PULL/POLL event scenarios

auditInfo
object
catalogId
integer<int32> | null

CatalogId

correlationId
string | null

The Correlation Id of the original API request that caused this event to occur

entityId
string | null

The identifier / ID of the entity that changed (i.e. product code)

extendedProperties
object[] | null

Extended properties. Note: This is purposefully not a CollectionBase type wrapper so consumers start to get used to not having counts returned.

id
string | null

The unique identifier for an event

isTest
boolean | null

Is this a test?

masterCatalogId
integer<int32> | null

MasterCatalogId

siteId
integer<int32> | null

SiteId

tenantId
integer<int32> | null

TenantId

topic
string | null

The topic of the event (i.e. product.created)